-- difficulty cs modifier unchanged

UPDATE ModifierArguments SET Extra=1 WHERE Name='Amount' AND ModifierId='HIGH_DIFFICULTY_COMBAT_SCALING';
UPDATE ModifierArguments SET Value=-1 WHERE Name='Amount' AND ModifierId='HIGH_DIFFICULTY_COMBAT_SCALING';

-- for every second difficulty starting at Emperor adds +1 CS at medieval game era and +2 CS at modern game era

INSERT INTO TraitModifiers 
		(TraitType,					ModifierId) 
VALUES	('TRAIT_LEADER_MAJOR_CIV', 'EMPEROR_ERA_1'),
		('TRAIT_LEADER_MAJOR_CIV', 'EMPEROR_ERA_2'),
		('TRAIT_LEADER_MAJOR_CIV', 'DEITY_ERA_1'),
		('TRAIT_LEADER_MAJOR_CIV', 'DEITY_ERA_2'),
		('TRAIT_LEADER_MAJOR_CIV', 'MADMAN_ERA_1'),
		('TRAIT_LEADER_MAJOR_CIV', 'MADMAN_ERA_2');

INSERT INTO Modifiers 
		(ModifierId,			ModifierType,										OwnerRequirementSetId) 
VALUES	('EMPEROR_ERA_1',		'MODIFIER_PLAYER_UNITS_ADJUST_COMBAT_DIFFICULTY',	'MEDIEVAL_TO_RENAISSANCE_AND_EMPEROR'),
	('EMPEROR_ERA_2',		'MODIFIER_PLAYER_UNITS_ADJUST_COMBAT_DIFFICULTY',	'INDUSTRIAL_AND_EMPEROR'),
		('DEITY_ERA_1',			'MODIFIER_PLAYER_UNITS_ADJUST_COMBAT_DIFFICULTY',	'MEDIEVAL_TO_RENAISSANCE_AND_DEITY'),
		('DEITY_ERA_2',			'MODIFIER_PLAYER_UNITS_ADJUST_COMBAT_DIFFICULTY',	'INDUSTRIAL_AND_DEITY'),
		('MADMAN_ERA_1',			'MODIFIER_PLAYER_UNITS_ADJUST_COMBAT_DIFFICULTY',	'MEDIEVAL_TO_RENAISSANCE_AND_MADMAN'),
		('MADMAN_ERA_2',			'MODIFIER_PLAYER_UNITS_ADJUST_COMBAT_DIFFICULTY',	'INDUSTRIAL_AND_MADMAN');

INSERT INTO ModifierArguments 
		(ModifierId,		Name,		Type,								Value,	Extra) 
VALUES		('EMPEROR_ERA_1',	'Amount',	'LinearScaleFromDefaultHandicap',	'1',	'0'),
		('EMPEROR_ERA_2',	'Amount',	'LinearScaleFromDefaultHandicap',	'2',	'0'),
		('DEITY_ERA_1',		'Amount',	'LinearScaleFromDefaultHandicap',	'1',	'0'),
		('DEITY_ERA_2',		'Amount',	'LinearScaleFromDefaultHandicap',	'2',	'0'),
		('MADMAN_ERA_1',		'Amount',	'LinearScaleFromDefaultHandicap',	'1',	'0'),
		('MADMAN_ERA_2',		'Amount',	'LinearScaleFromDefaultHandicap',	'2',	'0');

-- strings for new combat
INSERT INTO ModifierStrings 
		(ModifierId,		Context,	Text) 
VALUES		('EMPEROR_ERA_1',	'Preview',	'LOC_EMPEROR_ERA_1'),
		('EMPEROR_ERA_2',	'Preview',	'LOC_EMPEROR_ERA_2'),
		('DEITY_ERA_1',		'Preview',	'LOC_DEITY_ERA_1'),
		('DEITY_ERA_2',		'Preview',	'LOC_DEITY_ERA_2'),
		('MADMAN_ERA_1',		'Preview',	'LOC_MADMAN_ERA_1'),
		('MADMAN_ERA_2',		'Preview',	'LOC_MADMAN_ERA_2');

-- New Requirements
INSERT INTO RequirementSets 
		(RequirementSetId,						RequirementSetType) 
VALUES	('HIGH_DIFFICULTY_COMBAT_SCALING',		'REQUIREMENTSET_TEST_ALL'),
		('MEDIEVAL_TO_RENAISSANCE_AND_EMPEROR',			'REQUIREMENTSET_TEST_ALL'),
		('INDUSTRIAL_AND_EMPEROR',			'REQUIREMENTSET_TEST_ALL'),
		('MEDIEVAL_TO_RENAISSANCE_AND_DEITY',		'REQUIREMENTSET_TEST_ALL'),
		('INDUSTRIAL_AND_DEITY',					'REQUIREMENTSET_TEST_ALL'),
			('MEDIEVAL_TO_RENAISSANCE_AND_MADMAN',		'REQUIREMENTSET_TEST_ALL'),
		('INDUSTRIAL_AND_MADMAN',					'REQUIREMENTSET_TEST_ALL');
	
INSERT INTO RequirementSetRequirements 
		(RequirementSetId,					RequirementId) 
VALUES	('HIGH_DIFFICULTY_COMBAT_SCALING',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_COMBAT_SCALING',	'REQUIRES_HIGH_DIFFICULTY'),
	
		('MEDIEVAL_TO_RENAISSANCE_AND_EMPEROR',		'REQUIRES_PLAYER_IS_AI'),
		('MEDIEVAL_TO_RENAISSANCE_AND_EMPEROR',		'GAME_AT_MEDIEVAL_ERA'),
		('MEDIEVAL_TO_RENAISSANCE_AND_EMPEROR',		'GAME_NOT_AT_INDUSTRIAL_ERA'),
		('MEDIEVAL_TO_RENAISSANCE_AND_EMPEROR',		'REQUIRES_EMPEROR'),
		('INDUSTRIAL_AND_EMPEROR',		'REQUIRES_PLAYER_IS_AI'),
		('INDUSTRIAL_AND_EMPEROR',		'GAME_AT_INDUSTRIAL_ERA'),
		('INDUSTRIAL_AND_EMPEROR',		'REQUIRES_EMPEROR'),

		('MEDIEVAL_TO_RENAISSANCE_AND_DEITY',	'REQUIRES_PLAYER_IS_AI'),
		('MEDIEVAL_TO_RENAISSANCE_AND_DEITY',	'GAME_AT_MEDIEVAL_ERA'),
		('MEDIEVAL_TO_RENAISSANCE_AND_DEITY',	'GAME_NOT_AT_INDUSTRIAL_ERA'),
		('MEDIEVAL_TO_RENAISSANCE_AND_DEITY',	'REQUIRES_DEITY'),
		('INDUSTRIAL_AND_DEITY',				'REQUIRES_PLAYER_IS_AI'),
		('INDUSTRIAL_AND_DEITY',				'GAME_AT_INDUSTRIAL_ERA'),
		('INDUSTRIAL_AND_DEITY',				'REQUIRES_DEITY'),

		('MEDIEVAL_TO_RENAISSANCE_AND_MADMAN',	'REQUIRES_PLAYER_IS_AI'),
		('MEDIEVAL_TO_RENAISSANCE_AND_MADMAN',	'GAME_AT_MEDIEVAL_ERA'),
		('MEDIEVAL_TO_RENAISSANCE_AND_MADMAN',	'GAME_NOT_AT_INDUSTRIAL_ERA'),
		('MEDIEVAL_TO_RENAISSANCE_AND_MADMAN',	'REQUIRES_MADMAN'),
		('INDUSTRIAL_AND_MADMAN',				'REQUIRES_PLAYER_IS_AI'),
		('INDUSTRIAL_AND_MADMAN',				'GAME_AT_INDUSTRIAL_ERA'),
		('INDUSTRIAL_AND_MADMAN',				'REQUIRES_MADMAN');

-- BARB MOD ------------------------
-- add to players
INSERT INTO TraitModifiers 
		(TraitType,					ModifierId) 
VALUES	('TRAIT_LEADER_MAJOR_CIV',	'PRINCE_BARB_MOD'),
		('TRAIT_LEADER_MAJOR_CIV',	'KING_BARB_MOD'),
		('TRAIT_LEADER_MAJOR_CIV',	'EMPEROR_BARB_MOD'),
		('TRAIT_LEADER_MAJOR_CIV',	'IMMORTAL_BARB_MOD'),
		('TRAIT_LEADER_MAJOR_CIV',	'DEITY_BARB_MOD'),
		('TRAIT_LEADER_MAJOR_CIV',	'CREATOR_BARB_MOD'),
		('TRAIT_LEADER_MAJOR_CIV',	'MADMAN_BARB_MOD');

INSERT INTO Modifiers 
		(ModifierId,			ModifierType,										OwnerRequirementSetId)
VALUES	('PRINCE_BARB_MOD',		'MODIFIER_PLAYER_UNITS_ADJUST_BARBARIAN_COMBAT',	'PRINCE_DIFFICULTY'),
		('KING_BARB_MOD',		'MODIFIER_PLAYER_UNITS_ADJUST_BARBARIAN_COMBAT',	'KING_DIFFICULTY'),
		('EMPEROR_BARB_MOD',	'MODIFIER_PLAYER_UNITS_ADJUST_BARBARIAN_COMBAT',	'EMPEROR_DIFFICULTY'),
		('IMMORTAL_BARB_MOD',	'MODIFIER_PLAYER_UNITS_ADJUST_BARBARIAN_COMBAT',	'IMMORTAL_DIFFICULTY'),
		('DEITY_BARB_MOD',		'MODIFIER_PLAYER_UNITS_ADJUST_BARBARIAN_COMBAT',	'DEITY_DIFFICULTY'),
		('CREATOR_BARB_MOD',	'MODIFIER_PLAYER_UNITS_ADJUST_BARBARIAN_COMBAT',	'CREATOR_DIFFICULTY'),
		('MADMAN_BARB_MOD',		'MODIFIER_PLAYER_UNITS_ADJUST_BARBARIAN_COMBAT',	'MADMAN_DIFFICULTY');
	
-- each difficulty past prince adds +5 combat vs barbs. this stacks with their difficulty bonus

INSERT INTO ModifierArguments 
		(ModifierId,				Name,		Value) 
VALUES	('PRINCE_BARB_MOD',			'Amount',	'5'),
		('KING_BARB_MOD',			'Amount',	'5'),
		('EMPEROR_BARB_MOD',		'Amount',	'5'),
		('IMMORTAL_BARB_MOD',		'Amount',	'5'),
		('DEITY_BARB_MOD',			'Amount',	'5'),
		('CREATOR_BARB_MOD',		'Amount',	'5'),
		('MADMAN_BARB_MOD',			'Amount',	'5');
	
--Requirement Sets
INSERT INTO RequirementSets 
		(RequirementSetId,			RequirementSetType) 
VALUES	('PRINCE_DIFFICULTY',			'REQUIREMENTSET_TEST_ALL'),
		('KING_DIFFICULTY',			'REQUIREMENTSET_TEST_ALL'),
		('EMPEROR_DIFFICULTY',		'REQUIREMENTSET_TEST_ALL'),
		('IMMORTAL_DIFFICULTY',		'REQUIREMENTSET_TEST_ALL'),
		('DEITY_DIFFICULTY',		'REQUIREMENTSET_TEST_ALL'),
		('CREATOR_DIFFICULTY',		'REQUIREMENTSET_TEST_ALL'),
		('MADMAN_DIFFICULTY',		'REQUIREMENTSET_TEST_ALL');
		
INSERT INTO RequirementSetRequirements 
		(RequirementSetId,			RequirementId) 
VALUES	('PRINCE_DIFFICULTY',			'REQUIRES_PRINCE'),
	('PRINCE_DIFFICULTY',			'REQUIRES_PLAYER_IS_AI'),
		('KING_DIFFICULTY',			'REQUIRES_KING'),
		('KING_DIFFICULTY',			'REQUIRES_PLAYER_IS_AI'),
		('EMPEROR_DIFFICULTY',		'REQUIRES_EMPEROR'),
		('EMPEROR_DIFFICULTY',		'REQUIRES_PLAYER_IS_AI'),
		('IMMORTAL_DIFFICULTY',		'REQUIRES_IMMORTAL'),
		('IMMORTAL_DIFFICULTY',		'REQUIRES_PLAYER_IS_AI'),
		('DEITY_DIFFICULTY',		'REQUIRES_DEITY'),
		('DEITY_DIFFICULTY',		'REQUIRES_PLAYER_IS_AI'),
		('CREATOR_DIFFICULTY',		'REQUIRES_CREATOR'),
		('CREATOR_DIFFICULTY',		'REQUIRES_PLAYER_IS_AI'),
		('MADMAN_DIFFICULTY',		'REQUIRES_MADMAN'),
		('MADMAN_DIFFICULTY',		'REQUIRES_PLAYER_IS_AI');