-- keep in mind that I still use old difficulty names in the code: Creator is Pro, Madman is Insane

-- reduce starting warriors from 1-7 to 1-4

UPDATE MajorStartingUnits SET MinDifficulty='DIFFICULTY_EMPEROR', DifficultyDelta=0.5
	WHERE NotStartTile=1 AND AiOnly=1;

-- add free ranged unit on founding/conquering a city at immortal or above

INSERT OR IGNORE INTO Modifiers
		(ModifierId, 								ModifierType,												SubjectRequirementSetId,		RunOnce,	Permanent)
VALUES	('JNR_AI_BONUS_DISTRICT_GRANT_RANGED',		'MODIFIER_SINGLE_CITY_GRANT_UNIT_BY_CLASS_IN_NEAREST_CITY',	'IMMORTAL_DIFFICULTY',	1,			1);

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId, 								Name,						Value)
VALUES	('JNR_AI_BONUS_DISTRICT_GRANT_RANGED',		'UnitPromotionClassType',	'PROMOTION_CLASS_RANGED');

INSERT OR IGNORE INTO DistrictModifiers
		(DistrictType,				ModifierId)
VALUES	('DISTRICT_CITY_CENTER',	'JNR_AI_BONUS_DISTRICT_GRANT_RANGED');

-- add free recon unit on founding/conquering a city at pro difficulty and above

INSERT OR IGNORE INTO Modifiers
		(ModifierId, 								ModifierType,												SubjectRequirementSetId,		RunOnce,	Permanent)
VALUES	('JNR_AI_BONUS_DISTRICT_GRANT_RECON',		'MODIFIER_SINGLE_CITY_GRANT_UNIT_BY_CLASS_IN_NEAREST_CITY',	'CREATOR_DIFFICULTY',	1,			1);

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId, 								Name,						Value)
VALUES	('JNR_AI_BONUS_DISTRICT_GRANT_RECON',		'UnitPromotionClassType',	'PROMOTION_CLASS_RECON');

INSERT OR IGNORE INTO DistrictModifiers
		(DistrictType,				ModifierId)
VALUES	('DISTRICT_CITY_CENTER',	'JNR_AI_BONUS_DISTRICT_GRANT_RECON');



-- Remove Barbarian gold scaling and AI XP scaling, set base difficulty scaling for all the stats.

UPDATE ModifierArguments SET Extra=0 WHERE Name='Amount' AND ModifierId='BARBARIAN_CAMP_GOLD_SCALING';
UPDATE ModifierArguments SET Extra=0 WHERE Name='Amount' AND ModifierId='HIGH_DIFFICULTY_UNIT_XP_SCALING';

UPDATE ModifierArguments SET Value=0	WHERE Name='Amount'				AND ModifierId='HIGH_DIFFICULTY_PRODUCTION_SCALING';
UPDATE ModifierArguments SET Value=0	WHERE Name='Amount'				AND ModifierId='HIGH_DIFFICULTY_GOLD_SCALING';
UPDATE ModifierArguments SET Value=0	WHERE Name='Amount'				AND ModifierId='HIGH_DIFFICULTY_SCIENCE_SCALING';
UPDATE ModifierArguments SET Value=0	WHERE Name='Amount'				AND ModifierId='HIGH_DIFFICULTY_CULTURE_SCALING';
UPDATE ModifierArguments SET Value=0	WHERE Name='Amount'				AND ModifierId='HIGH_DIFFICULTY_FAITH_SCALING';

UPDATE ModifierArguments SET Extra=5 WHERE Name='Amount' AND ModifierId='HIGH_DIFFICULTY_GOLD_SCALING';
UPDATE ModifierArguments SET Extra=5 WHERE Name='Amount' AND ModifierId='HIGH_DIFFICULTY_FAITH_SCALING';
UPDATE ModifierArguments SET Extra=5 WHERE Name='Amount' AND ModifierId='HIGH_DIFFICULTY_PRODUCTION_SCALING';

UPDATE	ModifierArguments 
SET		Extra=3
WHERE	ModifierId = 'HIGH_DIFFICULTY_SCIENCE_SCALING' 
	AND Name = 'Amount';

UPDATE	ModifierArguments 
SET		Extra=3
WHERE	ModifierId = 'HIGH_DIFFICULTY_CULTURE_SCALING' 
	AND Name = 'Amount';

-- Bonus economic slot for AI at Political Philosophy, bonus wildcard slot for AI at Ideology

INSERT OR IGNORE INTO Modifiers
		(ModifierId, 								ModifierType,												SubjectRequirementSetId,		RunOnce,	Permanent)
VALUES	('JNR_AI_BONUS_ECONOMIC_GOVERNMENT_SLOT',	'MODIFIER_PLAYER_CULTURE_ADJUST_GOVERNMENT_SLOTS_MODIFIER',	'PLAYER_IS_HIGH_DIFFICULTY_AI',	0,			0),
		('JNR_AI_BONUS_WILDCARD_GOVERNMENT_SLOT',	'MODIFIER_PLAYER_CULTURE_ADJUST_GOVERNMENT_SLOTS_MODIFIER',	'PLAYER_IS_HIGH_DIFFICULTY_AI',	0,			0);

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId, 								Name,					Value)
VALUES	('JNR_AI_BONUS_ECONOMIC_GOVERNMENT_SLOT',	'GovernmentSlotType',	'SLOT_ECONOMIC'),
		('JNR_AI_BONUS_WILDCARD_GOVERNMENT_SLOT',	'GovernmentSlotType',	'SLOT_WILDCARD');

INSERT OR IGNORE INTO CivicModifiers
		(CivicType,	ModifierId)
VALUES	('CIVIC_POLITICAL_PHILOSOPHY',	'JNR_AI_BONUS_ECONOMIC_GOVERNMENT_SLOT'),
		('CIVIC_IDEOLOGY',				'JNR_AI_BONUS_WILDCARD_GOVERNMENT_SLOT');